> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a specific task

> Retrieve details for a single task by ID.



## OpenAPI

````yaml get /api/v2/tasks/{taskId}
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/tasks/{taskId}:
    get:
      tags:
        - Tasks
      summary: Fetch a specific task
      description: Retrieve details for a single task by ID.
      parameters:
        - name: taskId
          in: path
          required: true
          schema:
            type: string
          description: Task ID
      responses:
        '200':
          description: Task found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  task:
                    type: object
                    properties:
                      id:
                        type: string
                        example: task1
                      type:
                        type: string
                        example: call
                      state:
                        type: string
                        example: pending
                xml:
                  name: main
            application/xml:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  task:
                    type: object
                    properties:
                      id:
                        type: string
                        example: task1
                      type:
                        type: string
                        example: call
                      state:
                        type: string
                        example: pending
                xml:
                  name: main
        '401':
          description: Unauthorized
        '404':
          description: Task not found
        '500':
          description: Internal Server Error

````